Skip to main content
POST
Create content item

Authorizations

Authorization
string
header
required

Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

The request payload containing the information required to create a content item.

authorId
string
required
deprecated

Identifier of the author creating the content item.

Maximum string length: 100
authorName
string
required
deprecated

Name of the author creating the content item.

Maximum string length: 255
title
string
required

Title of the content item.

Maximum string length: 100
feedType
enum<string>
required
Available options:
Inspiration,
Purchase,
GreenNews,
StoreOffer,
StoreNews,
StoreSpecial,
GoodPrice,
WeeklyGoodPrice,
Survey,
Event,
SpecialPoll,
PartnerBenefit,
PartnerBenefitBanner
contentType
enum<string>
required
Available options:
Image,
Video,
Text
publishDate
string<date-time>
required

The date and time when the content should be published. This field is required if IsReadyToDistribute is true

expirationDate
string<date-time>
required

The date and time when the content expires and should no longer be displayed. This field is required if IsReadyToDistribute is true

isReadyToDistribute
boolean
required

Indicates whether the content is ready to be distributed.

createdBy
string | null

Optional identifier of the actor creating the content item; defaults to "integration" in the published event.

Maximum string length: 255
externalId
string | null

Optional external identifier for the content item.

Maximum string length: 50
campaignName
string | null

Name of the content to be easily identified.

Maximum string length: 100
analyticsIdentifier
string | null

Tracking identifier used for analytics.

Maximum string length: 50
imageUrl
string | null

URL of the image displayed in the content item.

Maximum string length: 2047
altText
string | null

Alternative text describing the image, used for accessibility.

Maximum string length: 255
videoUrl
string | null

URL of the video displayed in the content item.

Maximum string length: 2047
topMessage
string | null

Short message displayed at the top of the content.

bottomMessage
string | null

Short message displayed at the bottom of the content.

longDescription
string | null

Message displayed when the content type is text.

buttonText
string | null

Text displayed on the action button.

Maximum string length: 50
navigationType
enum<string>
Available options:
External,
DeepLink
externalUrl
string | null

External URL to be opened when button is clicked.

Maximum string length: 2047
useWebWrapper
boolean | null

Indicates whether the external content should be opened in a web wrapper.

Deep link identifier. Used to open a specific page from the application when button is clicked.

Maximum string length: 64

Additional parameters for deep link. (e.g. redirect user to a specific entity from the page configured with DeepLinkId)

Deep link URL for navigation.

segmentationType
enum<string>
Available options:
None,
Audience,
Customer,
File
audienceIds
string[] | null

List of audience identifiers targeted by this content.

storeId
string | null
deprecated

Identifier of the store targeted by this content.

Maximum string length: 256
storeIds
string[] | null

List of store identifiers targeted by this content.

isBoardContent
boolean

Client specific property used for custom integration.

customProperties
object | null

Dictionary of custom properties.(e.g. logoUrl, terms)

chainIds
string[] | null

List of chain identifiers targeted by this content.

priority
integer<int32> | null

Priority with which the content is displayed in the application.

requiresApproval
boolean | null

Indicates whether the content requires approval before being published.

unifiedCampaignId
string | null

Unified campaign identifier used for cross-platform campaign tracking.

Maximum string length: 64

Response

OK

id
integer<int64>
required
Last modified on August 10, 2026